%define prefix  /usr
%define sysconfdir /etc
Docdir: %{prefix}/doc
Prefix: %prefix

Summary: 	GStreamer Streaming-media framework plugins
Name: 		gstreamer-plugins
Version: 	0.3.4
Release: 	2

Copyright: 	LGPL
Group: 		Libraries/Multimedia
Source: 	gst-plugins-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%define         _glib2          1.3.12

Requires:       glib2 >= %_glib2
BuildRequires:  glib2-devel >= %_glib2
Requires: gstreamer >= %{version}
BuildRequires: nasm => 0.90
BuildRequires: gstreamer-devel >= %{version} 

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README  
%{_bindir}/gst-launch-ext
%{_mandir}/man1/gst-launch-ext.*

%prep
%setup -n gst-plugins-%{version}
%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
%{?__libtoolize:[ -f configure.in ] && %{__libtoolize} --copy --force} ; \
./configure \
  --prefix=%{_prefix} \
  --exec-prefix=%{_exec_prefix} \
  --bindir=%{_bindir} \
  --sbindir=%{_sbindir} \
  --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir} \
  --includedir=%{_includedir} \
  --libdir=%{_libdir} \
  --libexecdir=%{_libexecdir} \
  --localstatedir=%{_localstatedir} \
  --sharedstatedir=%{_sharedstatedir} \
  --mandir=%{_mandir} \
  --infodir=%{_infodir} \
  --enable-DEBUG 

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make 2>&1 | tee make.log
else
  make 2>&1 | tee make.log
fi

%makeinstall

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

### A52DEC ###
%package -n gstreamer-a52dec
Summary: GStreamer VOB decoder plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: a52dec >= 0.7.3
Requires: a52dec-devel >= 0.7.3

%description -n gstreamer-a52dec
Plugin for decoding of VOB files

%files -n gstreamer-a52dec
%defattr(-, root, root)
%{prefix}/lib/gst/libgsta52dec*

%post -n gstreamer-a52dec
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### AALIB ###
%package -n gstreamer-aalib
Summary: Gstreamer plugin for Ascii-art output
Group: Libraries/Multimedia
Requires: aalib >= 1.3
BuildRequires: aalib-devel >= 1.3
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-aalib
Plugin for viewing movies in Ascii-art using aalib library.

%files -n gstreamer-aalib
%defattr(-, root, root)
%{prefix}/lib/gst/libgstaa*

%post -n gstreamer-aalib
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### ALSA ###
#%package -n gstreamer-alsa
#Summary: GStreamer plugins for the ALSA sound architecture
#Group: Libraries/Multimedia
#Requires: gstreamer-plugins >= %{version}
#
#%description -n gstreamer-alsa
#Input and output plugin for the ALSA soundcard driver architecture.
#
#%files -n gstreamer-alsa
#%defattr(-, root, root)
#%{prefix}/lib/gst/libgstalsa*
#
#%post -n gstreamer-alsa
#%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### ARTS ###
%package -n gstreamer-artsd
Summary: GStreamer artsd output plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-artsd
Plugin for outputing to artsd sound server

%files -n gstreamer-artsd
%defattr(-, root, root)
%{prefix}/lib/gst/libartsd*

%post -n gstreamer-artsd
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### AUDIOFILE ###
%package -n gstreamer-audiofile
Summary: GStreamer plugin audiofile support
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: audiofile >= 0.2.1
Requires: gstreamer-plugin-libs = %{version}

%description -n gstreamer-audiofile
Plugin for supporting reading and writing all files audiofile support

%files -n gstreamer-audiofile
%defattr(-, root, root)
%{prefix}/lib/gst/libafs*

%post -n  gstreamer-audiofile
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### AVIFILE ###
%package -n gstreamer-avi
Summary: Gstreamer plugin for AVI format movie playback
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: gstreamer-plugin-libs = %{version}
Requires: avifile = 0.6.20011111DD
Requires: gstreamer-colorspace >= %{version}

%description -n gstreamer-avi
Plugins for playback of AVI format media files.

%files -n gstreamer-avi
%defattr(-, root, root)
%{prefix}/lib/gst/libgstavi*
%{prefix}/lib/gst/libgstwincodec*

%post -n gstreamer-avi
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### CDPARANOIA ###
%package -n gstreamer-cdparanoia
Summary: Gstreamer plugin for CD audio input using CDParanoia IV
Group: Libraries/Multimedia
Requires: cdparanoia >= alpha9.7
Requires: gstreamer-plugins >= %{version}
BuildRequires: cdparanoia-devel >= alpha9.7

%description -n gstreamer-cdparanoia
Plugin for ripping audio tracks using cdparanoia under GStreamer

%files -n gstreamer-cdparanoia
%defattr(-, root, root)
%{prefix}/lib/gst/libgstcdparanoia*

%post -n gstreamer-cdparanoia
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### DVDREAD ###
%package -n gstreamer-libdvd
Summary: GStreamer plugins for DVD playback
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: libdvdread >= 0.9.0
BuildRequires: libdvdread-devel >= 0.9.0

%description -n gstreamer-libdvd
Input and output plugin for the ALSA soundcard driver architecture.

%files -n gstreamer-libdvd
%defattr(-, root, root)
%{prefix}/lib/gst/libgstdvd*

%post -n gstreamer-libdvd
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### ESD ###
%package -n gstreamer-esd
Summary: Gstreamer plugin for ESD sound output
Group: Libraries/Multimedia
Requires: esound >= 0.2.8
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-esd
Output plugin for GStreamer for use with the esound package

%files -n gstreamer-esd
%defattr(-, root, root)
%{prefix}/lib/gst/libesd*

%post -n gstreamer-esd
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%postun -n gstreamer-esd
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null
/sbin/ldconfig

### FESTIVAL ###
%package -n gstreamer-festival
Summary: GStreamer plugin for text-to-speech support using Festival
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: festival >= 1.4.1
BuildRequires: festival-devel >= 1.4.1

%description -n gstreamer-festival
Element for text-to-speech using the festival server.

%files -n gstreamer-festival
%defattr(-, root, root)
%{prefix}/lib/gst/libgstfestival*

%post -n gstreamer-festival
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### FLAC ###
%package -n gstreamer-flac
Summary: Gstreamer plugin for FLAC lossless audio format
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: flac >= 1.0.0

%description -n gstreamer-flac
Plugin for the free FLAC lossless audio format.

%files -n gstreamer-flac
%defattr(-, root, root)
%{prefix}/lib/gst/libgstflac*

%post -n gstreamer-flac
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### GNOME VFS ###
%package -n gstreamer-gnomevfs
Summary: GStreamer plugins for GNOME VFS input and output
Group: Libraries/Multimedia
Requires: gnome-vfs2 > 1.9.4.00
Requires: gstreamer-plugins >= %{version}
BuildRequires: gnome-vfs2-devel > 1.9.4.00

%description -n gstreamer-gnomevfs
Plugins for reading and writing through GNOME VFS.

%files -n gstreamer-gnomevfs
%defattr(-, root, root)
%{prefix}/lib/gst/libgstgnomevfs*

%post -n gstreamer-gnomevfs
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### GSM ###
%package -n gstreamer-gsm
Summary: GStreamer plugin for GSM lossy audio format
Group: Libraries/Multimedia
Requires: gsm >= 1.0.10
Requires: gstreamer-plugins >= %{version}
BuildRequires: gsm-devel >= 1.0.10

%description -n gstreamer-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.

%files -n gstreamer-gsm
%defattr(-, root, root)
%{prefix}/lib/gst/libgstgsm*

%post -n gstreamer-gsm
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### HERMES ###
%package -n gstreamer-colorspace
Summary: Gstreamer colorspace conversion plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: Hermes => 1.3.0
BuildRequires: Hermes-devel => 1.3.0
%description -n gstreamer-colorspace
Colorspace plugin based on Hermes library

%files -n gstreamer-colorspace
%defattr(-, root, root)
%{prefix}/lib/gst/libgstcolorspace*

%post -n gstreamer-colorspace
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### JPEG ###
%package -n gstreamer-jpeg
Summary: Gstreamer plugin for jpeg images
Group: Libraries/Multimedia
Requires: libjpeg
Requires: gstreamer-plugins >= %{version}
BuildRequires: libjpeg-devel

%description -n gstreamer-jpeg
Output plugin for GStreamer using libjpeg

%files -n gstreamer-jpeg
%defattr(-, root, root)
%{prefix}/lib/gst/libgstjpeg*

%post -n gstreamer-jpeg
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### LAME ###
%package -n gstreamer-lame
Summary: GStreamer plugin encoding mp3 songs
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: lame >= 3.89

%description -n gstreamer-lame
Plugin for encoding mp3 with lame

%files -n gstreamer-lame
%defattr(-, root, root)
%{prefix}/lib/gst/libgstlame*

%post -n gstreamer-lame
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### MAD ###
%package -n gstreamer-mad  
Summary: Plugin using MAD for mp3 decoding
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: gstreamer-plugin-libs = %{version}
Requires: mad >= 0.13.0
BuildRequires: mad-devel >= 0.13.0

%description -n gstreamer-mad
Plugin for playback of mp3 songs using the very good MAD library

%files -n gstreamer-mad
%defattr(-, root, root)  
%{prefix}/lib/gst/libgstmad*

%post -n gstreamer-mad
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%postun -n gstreamer-mad
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null
/sbin/ldconfig

### MIKMOD ###
%package -n gstreamer-mikmod
Summary: GStreamer Mikmod plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-mikmod
Plugin for playback of module files supported by mikmod under GStreamer

%files -n gstreamer-mikmod
%defattr(-, root, root)
%{prefix}/lib/gst/libgstmikmod*

%post -n gstreamer-mikmod
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### MJPEGTOOLS ###
#%package -n gstreamer-jpegmmx
#Summary: Gstreamer mjpegtools
#Group: Libraries/Multimedia
#Requires: gstreamer-plugins >= %{version}
#Requires: mjpegtools >= %{version}
#BuildRequires: mjpegtools-devel >= %{version}
#
#%description -n gstreamer-jpegmmx
#Mgpegtools based encoding and decoding plugin
#
#%files -n gstreamer-jpegmmx
#%defattr(-, root, root)
#%{prefix}/lib/gst/libgstjpegmmx*
#
#%post -n gstreamer-jpegmmx
#%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### MPEG2DEC ###
%package -n gstreamer-mpeg
Summary: GStreamer plugins for MPEG video playback and encoding
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: mpeg2dec => 0.2.0
Requires: gstreamer-plugin-libs => %{version}
Obsoletes: gstreamer-mpeg1
Obsoletes: gstreamer-mpeg2

%description -n gstreamer-mpeg
Plugins for playing and encoding MPEG video

%files -n gstreamer-mpeg
%defattr(-, root, root)
%{prefix}/lib/gst/libgstmpeg1types*
%{prefix}/lib/gst/libgstmpeg1encoder*
%{prefix}/lib/gst/libgstmpegaudio*
%{prefix}/lib/gst/libgstmp1*
%{prefix}/lib/gst/libgstmpegstream*
# %{prefix}/lib/gst/libgstmpeg2play*
%{prefix}/lib/gst/libgstmpeg2enc*
%{prefix}/lib/gst/libgstmpeg2subt*
%{prefix}/lib/gst/libgstmpeg2types*
# %{prefix}/lib/gst/libgstmp2videoparse*

%post -n  gstreamer-mpeg
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-mpeg2dec
Summary: GStreamer plugins for MPEG level 2 playback
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: mpeg2dec >= 0.2.0

%description -n gstreamer-mpeg2dec
Plugins for playing MPEG level 2 encoded movies

%files -n gstreamer-mpeg2dec
%defattr(-, root, root)
%{prefix}/lib/gst/libgstmpeg2dec*

%post -n  gstreamer-mpeg2dec
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### OPENQUICKTIME ###
%package -n gstreamer-openquicktime
Summary: GStreamer OpenQuicktime video Plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: openquicktime => 0.9

%description -n gstreamer-openquicktime
Plugin which uses the OpenQuicktime library
from 3ivx to play Quicktime movies.
(http://openquicktime.sourceforge.net/)

%files -n gstreamer-openquicktime
%defattr(-, root, root)
%{prefix}/lib/gst/libgstopenquicktime*

%post -n gstreamer-openquicktime
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### OSS ###
%package -n gstreamer-oss
Summary: Gstreamer plugins for input and output using OSS
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-oss 
Plugins for output and input to the OpenSoundSytem audio
drivers found in the Linux kernels or commercially available
from OpenSound.

%files -n gstreamer-oss
%defattr(-, root, root)
%{prefix}/lib/gst/libgstoss*

%post -n gstreamer-oss
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%postun -n gstreamer-oss
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null
/sbin/ldconfig

### RAW1394 ###
#%package -n gstreamer-dv
#Summary: GStreamer dv plugin
#Group: Libraries/Multimedia
#Requires: gstreamer-plugins >= %{version}
#
#%description -n gstreamer-dv
#Plugin for digital video support
#
#%files -n gstreamer-dv
#%defattr(-, root, root)
#%{prefix}/lib/gst/gstdv*
#
#%post -n gstreamer-dv
#%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### RTP ###
#%package -n gstreamer-rtp
#Summary: GStreamer RTP plugin
#Group: Libraries/Multimedia
#Requires: gstreamer-plugins >= %{version}
#Requires: librtp >= 0.99
#
#%description -n gstreamer-rtp
#Library for transfering data with the RTP protocol
#
#%files -n gstreamer-rtp
#%defattr(-, root, root)
#%{prefix}/lib/gst/libgstrtp*
#
#%post -n gstreamer-rtp
#%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### SIDPLAY ###
%package -n gstreamer-sid
Summary: GStreamer Sid C64 music plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: libsidplay => 1.36.0
BuildRequires: libsidplay-devel => 1.36.0
%description -n gstreamer-sid
Plugin for playback of C64 SID format music files

%files -n gstreamer-sid
%defattr(-, root, root)
%{prefix}/lib/gst/libgstsid*

%post -n gstreamer-sid
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### SDL ###
%package -n gstreamer-sdl
Summary: Gstreamer plugin for outputing to SDL
Group: Libraries/Multimedia
Requires: SDL >= 1.2.0
Requires: gstreamer-plugins >= %{version}
BuildRequires: SDL-devel >= 1.2.0

%description -n gstreamer-sdl
Plugin for sending output to the Simple Direct Media architecture.
(http://www.libsdl.org). Usefull for fullscreen playback.

%files -n gstreamer-sdl
%defattr(-, root, root)
%{prefix}/lib/gst/libsdl*

%post -n gstreamer-sdl
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### SHOUT ###
%package -n gstreamer-icecast
Summary: GStreamer Icecast broadcasting plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: gstreamer-plugin-libs = %{version}
Requires: libshout >= 1.0.5
BuildRequires: libshout-devel >= 1.0.5
%description -n gstreamer-icecast
Plugin for broadcasting audio with the Icecast server

%files -n gstreamer-icecast
%defattr(-, root, root)
%{prefix}/lib/gst/libgstshout*

%post -n gstreamer-icecast
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### VORBIS ###
%package -n gstreamer-vorbis
Summary: Gstreamer plugin for encoding and decoding Ogg Vorbis audio files
Group: Libraries/Multimedia
Requires: libogg >= 1.0beta4
Requires: libvorbis >= 1.0beta4
Requires: gstreamer-plugins >= %{version}
BuildRequires: libogg-devel >= 1.0beta4
BuildRequires: libvorbis-devel >= 1.0beta4

%description -n gstreamer-vorbis
Plugins for creating and playing Ogg Vorbis audio files.

%files -n gstreamer-vorbis  
%defattr(-, root, root)
%{prefix}/lib/gst/libgstvorbis*

%post -n gstreamer-vorbis
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%postun -n gstreamer-vorbis
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null
/sbin/ldconfig

### VIDEO 4 LINUX ###
%package -n gstreamer-v4l
Summary: GStreamer video for linux input plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-v4l
Plugin for accessing video for Linux streams.

%files -n gstreamer-v4l
%defattr(-, root, root)
%{prefix}/lib/gst/libgstv4l*

%post -n gstreamer-v4l
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

### XVIDEO ###
# %package -n gstreamer-xvideosink
# Summary: Gstreamer XFree output plugin
# Group: Libraries/Multimedia
# Requires: gstreamer-plugins >= %{version}
# Requires: Hermes => 1.3.0
# %description -n gstreamer-xvideosink
# Xfree86 video sink
# 
# %files -n gstreamer-xvideosink
# %defattr(-, root, root)
# %{prefix}/lib/gst/libgstxvideosink*
# 
# %post -n gstreamer-xvideosink
# %{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-videosink
Summary: GStreamer Video Sink
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: gstreamer-plugin-libs = %{version}

%description -n gstreamer-videosink
Plugin for X playback

%files -n gstreamer-videosink
%defattr(-, root, root)
%{prefix}/lib/gst/libgstvideosink*

%post -n gstreamer-videosink
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-audio-effects
Summary: GStreamer audio effects plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-audio-effects
Plugin with various audio effects including resampling, 
sine waves generation, silence generation plugin

%files -n gstreamer-audio-effects
%defattr(-, root, root)
%{prefix}/lib/gst/libgstresample*
%{prefix}/lib/gst/libgstsine*
%{prefix}/lib/gst/libgstsilence*
%{prefix}/lib/gst/libgststereo*
%{prefix}/lib/gst/libgstvol*
%{prefix}/lib/gst/libgstplayondemand*
%{prefix}/lib/gst/libgstspeed*

%post -n gstreamer-audio-effects
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-lavencode
Summary: GStreamer YUV to LAV converter
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-lavencode
It takes YUV video frames and adds a header in front of it so it can be processed with the lavtools from mjpeg

%files -n gstreamer-lavencode
%defattr(-, root, root)
%{prefix}/lib/gst/libgsty4m*

%post -n gstreamer-lavencode
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-qcam
Summary: GStreamer QuickCam plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-qcam
Plugin for accessing a Quickcam source

%files -n gstreamer-qcam
%defattr(-, root, root)
%{prefix}/lib/gst/libgstqcam*

%post -n gstreamer-qcam
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-vcd
Summary: GStreamer Video CD plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-vcd
Video CD parsing and playback

%files -n gstreamer-vcd
%defattr(-, root, root)
%{prefix}/lib/gst/libgstvcd*
%{prefix}/lib/gst/libgstcdxa*

%package -n gstreamer-ladspa
Summary: Gstreamer wrapper for LADSPA plugins
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%files -n gstreamer-ladspa
%defattr(-, root, root)
%{prefix}/lib/gst/libgstladspa*

%description -n gstreamer-ladspa
Plugin which wraps LADSPA plugins for use by GStreamer applications.

%post -n gstreamer-ladspa
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-udp
Summary: GStreamer plugins for UDP tranport
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-udp
Plugins for UDP transport

%files -n gstreamer-udp
%defattr(-, root, root)
%{prefix}/lib/gst/libgstudp*

%post -n gstreamer-udp
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-flx
Summary: GStreamer plugin for FLI/FLX animation format
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: gstreamer-plugin-libs = %{version}
Requires: gstreamer-colorspace >= %{version}
%description -n gstreamer-flx
Plugin for playing FLI/FLX animations under GStreamer

%files -n gstreamer-flx
%defattr(-, root, root)
%{prefix}/lib/gst/libgstflx*

%post -n gstreamer-flx
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-deinterlace
Summary: GStreamer Video deinterlacer
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-deinterlace
Video deinterlace plugin

%files -n gstreamer-deinterlace
%defattr(-, root, root)
%{prefix}/lib/gst/libgstdeinterlace*

%post -n gstreamer-deinterlace
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-visualisation
Summary: GStreamer visualisations plugins
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-visualisation
Various plugins for visual effects to use with audio. Included are Smoothwave, Spectrum, Goom, Chart and vumeter

%files -n gstreamer-visualisation
%defattr(-, root, root)
%{prefix}/lib/gst/libgstsmooth*
%{prefix}/lib/gst/libgstspectrum*
%{prefix}/lib/gst/libgstvu*
%{prefix}/lib/gst/libgstgoom*
%{prefix}/lib/gst/libchart*
%{prefix}/lib/gst/libgstmonoscope*

%post -n gstreamer-visualisation
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-plugin-libs
Summary: GStreamer support libraries
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-plugin-libs
GStreamer support libraries

%files -n gstreamer-plugin-libs
%defattr(-, root, root)
%{prefix}/lib/gst/libgstaudio*
%{prefix}/lib/gst/libgstidct*
%{prefix}/lib/gst/libgstriff*
%{prefix}/lib/gst/libgstresample*

%package -n gstreamer-misc
Summary: GStreamer plugins for various effects
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}

%description -n gstreamer-misc
Plugins for various codecs, effects 
and so on.

%files -n gstreamer-misc
%defattr(-, root, root)
%{prefix}/lib/gst/libgstadder*
%{prefix}/lib/gst/libgstalaw*
%{prefix}/lib/gst/libgstintfloat*
%{prefix}/lib/gst/libgstlevel*
%{prefix}/lib/gst/libgstmedian*
%{prefix}/lib/gst/libgstmono2stereo*
%{prefix}/lib/gst/libgstmulaw*
%{prefix}/lib/gst/libgstpassthrough*
%{prefix}/lib/gst/libgstrtjpe*

%post -n gstreamer-misc
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%package -n gstreamer-audio-formats
Summary: GStreamer audio format plugin
Group: Libraries/Multimedia
Requires: gstreamer-plugins >= %{version}
Requires: gstreamer-plugin-libs = %{version}

%description -n gstreamer-audio-formats
Plugin for playback of wav, au and mp3 audio files

%files -n gstreamer-audio-formats
%defattr(-, root, root)
%{prefix}/lib/gst/libgstwavparse*
%{prefix}/lib/gst/libgstauparse*
%{prefix}/lib/gst/libgstmp3types*
%{prefix}/lib/gst/libgstmodplug*

%post -n gstreamer-audio-formats
%{prefix}/bin/gst-register --gst-mask=0 2> /dev/null

%changelog
* Wed Mar 13 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added more BuildRequires and Requires
- rearranged some plugins
- added changelog ;)
