/* GStreamer
 * Copyright (C) <2001> Steve Baker <stevebaker_org@yahoo.co.uk>
 *
 * intfloatconvert.h
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __GST_INTFLOATCONVERT_H__
#define __GST_INTFLOATCONVERT_H__


#include <config.h>
#include <gst/gst.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


struct _GstIntFloatConvert {
  GstElement element;

  GstPad *sinkpad,*srcpad;
  
  gboolean new_src_caps, new_sink_caps;
  
  gint channels;
  gint rate;
  
  gint width;
  gint depth;
  gfloat intercept;
  gfloat slope;
};

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __GST_INTFLOATCONVERT_H__ */
