/* cothreads.c: the cothreads regression test */

#include <cothreads/cothreads.h>
#include <errno.h>

#define NGTHREADS 5
#define NCOTHREADS 200

/* #undef USE_GTHREADS */

void co_thread (int argc, void **argv)
{
  int pthreadnum =  *(int*)argv[0];
  int cothreadnum = *(int*)argv[1];
  cothread *self = argv[2];
  
  printf ("%d.%d: sleeping 1s...\n", pthreadnum, cothreadnum);
/*  sleep (1); */
  printf ("%d.%d: returning to cothread 0\n", pthreadnum, cothreadnum);

  /* the switch back to the main thread happens automagically */
}

void *pthread (void* _pthreadnum) 
{
  int pthreadnum = *(int*) _pthreadnum;
  int cothreadnum = 0;
  cothread *main, *new;
  void *argv[3];
  
  main = cothread_create (NULL, 0, NULL, NULL);
  
  while (cothreadnum++ < NCOTHREADS) {
    printf ("%d: spawning a new cothread\n", pthreadnum);
    
    argv[0] = &pthreadnum;
    argv[1] = &cothreadnum;
    argv[2] = cothread_create (co_thread, 3, argv, main);
    new = (cothread*)argv[2];
    
    printf ("%d: switching to cothread %d...\n", pthreadnum, cothreadnum);
    cothread_switch (main, new);
  }
  return NULL;
}

int main (int argc, char *argv[])
{
#ifdef USE_GTHREADS
  GThread *thread[NGTHREADS];
#endif
  int pthreadnum[NGTHREADS], i;
#ifdef METHOD
  cothreads_config config = METHOD;
#endif

#ifdef USE_GTHREADS
  g_thread_init(NULL);
#endif

#ifdef METHOD
  cothreads_init(&config);
#else
  cothreads_init(NULL);
#endif

#ifdef USE_GTHREADS
  cothread_create (NULL, 0, NULL, NULL); /* just to see where the stack is */
#endif
  
#ifdef USE_GTHREADS
  printf ("0: creating the gthreads\n");
  for (i=0; i<NGTHREADS; i++) {
    pthreadnum[i] = i+1;
    thread[i] = g_thread_create (pthread, &pthreadnum[i], TRUE, NULL);
  }
  
  for (i=0; i<NGTHREADS; i++) {
    printf ("0: joining gthread %d\n", i);
    g_thread_join (thread[i]);
  }
#else
  printf ("0: calling the pthread function directly\n");
  pthreadnum[0] = 1;
  pthread (&pthreadnum[0]);
#endif
  
  printf ("exiting\n");
  
  exit (0);
}

