/* linuxthreads.c: test the sanity of the __linuxthreads_self() routine */

#include <stdio.h>
#include "../cothreads/linuxthreads.h"
#include <sys/resource.h>
#include <unistd.h>

void *pthread (void *unused) 
{
  char *sp = CURRENT_STACK_FRAME;
  
  __linuxthreads_self();
  printf ("sp: %p\n", sp);
  printf ("sp | 0x020000: 0x%x\n", (int) sp | 0x020000 );
  printf ("(sp | (0x020000-1))+1 - 1K: 0x%x\n", ((((int)sp | (STACK_SIZE-1))+1) - 1024));
  printf ("*(sp | (0x020000-1))+1 - 1K: %p\n", *(int*)((((long int)sp | (STACK_SIZE-1))+1) - 1024));
  printf ("(sp &~ (0x020000-1))+1: 0x%x\n", (((int)sp &~ (STACK_SIZE-1))+1));
  return NULL;
}

int main (int argc, char *argv[]) 
{
  pthread_t tid;
  int i;
  struct rlimit limit;  
  
  for (i=0; i<5; i++) {
    pthread_create (&tid, NULL, pthread, NULL);
    sleep(1);
  }
  
  __linuxthreads_self();
  
  getrlimit (RLIMIT_STACK, &limit);
  printf ("\nstack size: %d\nmax stack sizeL %d\n", limit.rlim_cur, limit.rlim_max);
  
  exit (0);
}
